diff --git a/puppy-unleashed/packages/pwidgets-1.9-6/usr/local/pwidgets/func b/puppy-unleashed/packages/pwidgets-1.9-6/usr/local/pwidgets/func
index 71f18af..4cf80d7 100755
--- a/puppy-unleashed/packages/pwidgets-1.9-6/usr/local/pwidgets/func
+++ b/puppy-unleashed/packages/pwidgets-1.9-6/usr/local/pwidgets/func
@@ -102,7 +102,7 @@ case "$1" in
 				IMAGE="`grep IMAGE= $HOME/.pwidgets/configs/Clock-analog | cut -d '=' -f 2`"
 				echo "xonclock --position=$POS_XONCLOCK --offset-v=$OFFSET_Y --offset-h=$OFFSET_X --use-background --skin=$IMAGE --color-hour=$CLOCK_COLOR_HOUR --color-minute=$CLOCK_COLOR_MINUTE --color-second=$CLOCK_COLOR_SECOND &" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
-				echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
+				echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				;;
 			"Slideshow")
 				. $HOME/.pwidgets/configs/Slideshow
@@ -162,7 +162,7 @@ case "$1" in
 	while read TREE_WIDGET; do
 		if [ ! "`grep rox $HOME/.pwidgets/tmp/pwidgets-exec_xonclock`" ] && [ "$TREE_WIDGET" = "Tv" ]; then
 			echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
-			echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
+			echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
 		fi
 	done < $HOME/.pwidgets/tmp/pwidgets_list
 	#Update theme
diff --git a/puppy-unleashed/packages/pwidgets-2.0.6-4/usr/local/pwidgets/func b/puppy-unleashed/packages/pwidgets-2.0.6-4/usr/local/pwidgets/func
index 378efbc..2730c72 100755
--- a/puppy-unleashed/packages/pwidgets-2.0.6-4/usr/local/pwidgets/func
+++ b/puppy-unleashed/packages/pwidgets-2.0.6-4/usr/local/pwidgets/func
@@ -150,7 +150,7 @@ case "$1" in
 				echo "ROX_DESKTOP=\`xwininfo -root -tree | grep 'ROX-Pinboard' | tr -s ' ' | cut -d ' ' -f 2\`" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				echo "xonclock --position=$POS_XONCLOCK --offset-v=$OFFSET_Y --offset-h=$OFFSET_X --window-id="'$ROX_DESKTOP'" --use-background --skin=$IMAGE --color-hour=$CLOCK_COLOR_HOUR --color-minute=$CLOCK_COLOR_MINUTE --color-second=$CLOCK_COLOR_SECOND &" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 #				echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
-#				echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
+#				echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				;;
 			"Slideshow")
 				. $HOME/.pwidgets/configs/Slideshow
@@ -209,7 +209,7 @@ case "$1" in
 #	#update ROX pinboard for TV if xonclock is NOT active
 #	if [ ! "`grep rox $HOME/.pwidgets/tmp/pwidgets-exec_xonclock`" ] && [ "$TREE_WIDGET" = "Tv" ]; then
 #		echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
-#		echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
+#		echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
 #	fi
 	#Update theme
 	[ "`cat $HOME/.pwidgets/tmp/pwidgets-active_theme`" != "$THEME" ] && . $APPDIR/func -set_theme
diff --git a/puppy-unleashed/packages/pwidgets-2.0.8/usr/local/pwidgets/func b/puppy-unleashed/packages/pwidgets-2.0.8/usr/local/pwidgets/func
index 378efbc..2730c72 100755
--- a/puppy-unleashed/packages/pwidgets-2.0.8/usr/local/pwidgets/func
+++ b/puppy-unleashed/packages/pwidgets-2.0.8/usr/local/pwidgets/func
@@ -150,7 +150,7 @@ case "$1" in
 				echo "ROX_DESKTOP=\`xwininfo -root -tree | grep 'ROX-Pinboard' | tr -s ' ' | cut -d ' ' -f 2\`" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				echo "xonclock --position=$POS_XONCLOCK --offset-v=$OFFSET_Y --offset-h=$OFFSET_X --window-id="'$ROX_DESKTOP'" --use-background --skin=$IMAGE --color-hour=$CLOCK_COLOR_HOUR --color-minute=$CLOCK_COLOR_MINUTE --color-second=$CLOCK_COLOR_SECOND &" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 #				echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
-#				echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
+#				echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				;;
 			"Slideshow")
 				. $HOME/.pwidgets/configs/Slideshow
@@ -209,7 +209,7 @@ case "$1" in
 #	#update ROX pinboard for TV if xonclock is NOT active
 #	if [ ! "`grep rox $HOME/.pwidgets/tmp/pwidgets-exec_xonclock`" ] && [ "$TREE_WIDGET" = "Tv" ]; then
 #		echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
-#		echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
+#		echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
 #	fi
 	#Update theme
 	[ "`cat $HOME/.pwidgets/tmp/pwidgets-active_theme`" != "$THEME" ] && . $APPDIR/func -set_theme
diff --git a/puppy-unleashed/packages/pwidgets-2.0/usr/local/pwidgets/func b/puppy-unleashed/packages/pwidgets-2.0/usr/local/pwidgets/func
index e93733a..b5c4784 100755
--- a/puppy-unleashed/packages/pwidgets-2.0/usr/local/pwidgets/func
+++ b/puppy-unleashed/packages/pwidgets-2.0/usr/local/pwidgets/func
@@ -149,7 +149,7 @@ case "$1" in
 				IMAGE="`grep IMAGE= $HOME/.pwidgets/configs/Clock_analog | cut -d '=' -f 2`"
 				echo "xonclock --position=$POS_XONCLOCK --offset-v=$OFFSET_Y --offset-h=$OFFSET_X --use-background --skin=$IMAGE --color-hour=$CLOCK_COLOR_HOUR --color-minute=$CLOCK_COLOR_MINUTE --color-second=$CLOCK_COLOR_SECOND &" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
-				echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
+				echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				;;
 			"Slideshow")
 				. $HOME/.pwidgets/configs/Slideshow
@@ -208,7 +208,7 @@ case "$1" in
 	#update ROX pinboard for TV if xonclock is NOT active
 	if [ ! "`grep rox $HOME/.pwidgets/tmp/pwidgets-exec_xonclock`" ] && [ "$TREE_WIDGET" = "Tv" ]; then
 		echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
-		echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
+		echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
 	fi
 	#Update theme
 	[ "`cat $HOME/.pwidgets/tmp/pwidgets-active_theme`" != "$THEME" ] && . $APPDIR/func -set_theme
diff --git a/puppy-unleashed/packages/pwireless-0.8.3/usr/sbin/Pwireless b/puppy-unleashed/packages/pwireless-0.8.3/usr/sbin/Pwireless
index 81aabc9..ece7eaf 100755
--- a/puppy-unleashed/packages/pwireless-0.8.3/usr/sbin/Pwireless
+++ b/puppy-unleashed/packages/pwireless-0.8.3/usr/sbin/Pwireless
@@ -29,7 +29,7 @@ case \"\$2\" in
 	;;
 esac
 
-eval \`cat /root/.config/Pwireless/\$1\`
+eval \`cat ${HOME}/.config/Pwireless/\$1\`
 PROFILE_TITLE=\"\$1\"
 PROFILE_ESSID=\"\$ESSID\"
 PROFILE_MODE=\"managed\"
diff --git a/puppy-unleashed/packages/tcl-8.5.6-v1/usr/lib/tclConfig.sh b/puppy-unleashed/packages/tcl-8.5.6-v1/usr/lib/tclConfig.sh
index 85db97d..698ac4e 100644
--- a/puppy-unleashed/packages/tcl-8.5.6-v1/usr/lib/tclConfig.sh
+++ b/puppy-unleashed/packages/tcl-8.5.6-v1/usr/lib/tclConfig.sh
@@ -111,7 +111,7 @@ TCL_LIB_FLAG='-ltcl8.5'
 
 # String to pass to linker to pick up the Tcl library from its
 # build directory.
-TCL_BUILD_LIB_SPEC='-L/root/src/tcl8.5.6/unix -ltcl8.5'
+TCL_BUILD_LIB_SPEC='-L${HOME}/src/tcl8.5.6/unix -ltcl8.5'
 
 # String to pass to linker to pick up the Tcl library from its
 # installed directory.
@@ -146,7 +146,7 @@ TCL_UNSHARED_LIB_SUFFIX='${VERSION}.a'
 # different place than the directory containing the source files, this
 # points to the location of the sources, not the location where Tcl was
 # compiled.
-TCL_SRC_DIR='/root/src/tcl8.5.6'
+TCL_SRC_DIR='${HOME}/src/tcl8.5.6'
 
 # List of standard directories in which to look for packages during
 # "package require" commands.  Contains the "prefix" directory plus also
@@ -164,14 +164,14 @@ TCL_STUB_LIB_FLAG='-ltclstub8.5'
 
 # String to pass to linker to pick up the Tcl stub library from its
 # build directory.
-TCL_BUILD_STUB_LIB_SPEC='-L/root/src/tcl8.5.6/unix -ltclstub8.5'
+TCL_BUILD_STUB_LIB_SPEC='-L${HOME}/src/tcl8.5.6/unix -ltclstub8.5'
 
 # String to pass to linker to pick up the Tcl stub library from its
 # installed directory.
 TCL_STUB_LIB_SPEC='-L/usr/lib -ltclstub8.5'
 
 # Path to the Tcl stub library in the build directory.
-TCL_BUILD_STUB_LIB_PATH='/root/src/tcl8.5.6/unix/libtclstub8.5.a'
+TCL_BUILD_STUB_LIB_PATH='${HOME}/src/tcl8.5.6/unix/libtclstub8.5.a'
 
 # Path to the Tcl stub library in the install directory.
 TCL_STUB_LIB_PATH='/usr/lib/libtclstub8.5.a'
diff --git a/puppy-unleashed/packages/tcl-8.5.6/usr/lib/tclConfig.sh b/puppy-unleashed/packages/tcl-8.5.6/usr/lib/tclConfig.sh
index 85db97d..698ac4e 100644
--- a/puppy-unleashed/packages/tcl-8.5.6/usr/lib/tclConfig.sh
+++ b/puppy-unleashed/packages/tcl-8.5.6/usr/lib/tclConfig.sh
@@ -111,7 +111,7 @@ TCL_LIB_FLAG='-ltcl8.5'
 
 # String to pass to linker to pick up the Tcl library from its
 # build directory.
-TCL_BUILD_LIB_SPEC='-L/root/src/tcl8.5.6/unix -ltcl8.5'
+TCL_BUILD_LIB_SPEC='-L${HOME}/src/tcl8.5.6/unix -ltcl8.5'
 
 # String to pass to linker to pick up the Tcl library from its
 # installed directory.
@@ -146,7 +146,7 @@ TCL_UNSHARED_LIB_SUFFIX='${VERSION}.a'
 # different place than the directory containing the source files, this
 # points to the location of the sources, not the location where Tcl was
 # compiled.
-TCL_SRC_DIR='/root/src/tcl8.5.6'
+TCL_SRC_DIR='${HOME}/src/tcl8.5.6'
 
 # List of standard directories in which to look for packages during
 # "package require" commands.  Contains the "prefix" directory plus also
@@ -164,14 +164,14 @@ TCL_STUB_LIB_FLAG='-ltclstub8.5'
 
 # String to pass to linker to pick up the Tcl stub library from its
 # build directory.
-TCL_BUILD_STUB_LIB_SPEC='-L/root/src/tcl8.5.6/unix -ltclstub8.5'
+TCL_BUILD_STUB_LIB_SPEC='-L${HOME}/src/tcl8.5.6/unix -ltclstub8.5'
 
 # String to pass to linker to pick up the Tcl stub library from its
 # installed directory.
 TCL_STUB_LIB_SPEC='-L/usr/lib -ltclstub8.5'
 
 # Path to the Tcl stub library in the build directory.
-TCL_BUILD_STUB_LIB_PATH='/root/src/tcl8.5.6/unix/libtclstub8.5.a'
+TCL_BUILD_STUB_LIB_PATH='${HOME}/src/tcl8.5.6/unix/libtclstub8.5.a'
 
 # Path to the Tcl stub library in the install directory.
 TCL_STUB_LIB_PATH='/usr/lib/libtclstub8.5.a'
diff --git a/puppy-unleashed/packages/tk-8.5.6/usr/lib/tkConfig.sh b/puppy-unleashed/packages/tk-8.5.6/usr/lib/tkConfig.sh
index 5d72d80..931ceb5 100644
--- a/puppy-unleashed/packages/tk-8.5.6/usr/lib/tkConfig.sh
+++ b/puppy-unleashed/packages/tk-8.5.6/usr/lib/tkConfig.sh
@@ -55,7 +55,7 @@ TK_LIB_FLAG='-ltk8.5'
 
 # String to pass to linker to pick up the Tk library from its
 # build directory.
-TK_BUILD_LIB_SPEC='-L/root/src/tk8.5.6/unix -ltk8.5'
+TK_BUILD_LIB_SPEC='-L${HOME}/src/tk8.5.6/unix -ltk8.5'
 
 # String to pass to linker to pick up the Tk library from its
 # installed directory.
@@ -71,7 +71,7 @@ TK_INCLUDE_SPEC='-I/usr/include'
 # different place than the directory containing the source files, this
 # points to the location of the sources, not the location where Tk was
 # compiled.
-TK_SRC_DIR='/root/src/tk8.5.6'
+TK_SRC_DIR='${HOME}/src/tk8.5.6'
 
 # Needed if you want to make a 'fat' shared library library
 # containing tk objects or link a different wish.
@@ -86,14 +86,14 @@ TK_STUB_LIB_FLAG='-ltkstub8.5'
 
 # String to pass to linker to pick up the Tk stub library from its
 # build directory.
-TK_BUILD_STUB_LIB_SPEC='-L/root/src/tk8.5.6/unix -ltkstub8.5'
+TK_BUILD_STUB_LIB_SPEC='-L${HOME}/src/tk8.5.6/unix -ltkstub8.5'
 
 # String to pass to linker to pick up the Tk stub library from its
 # installed directory.
 TK_STUB_LIB_SPEC='-L/usr/lib -ltkstub8.5'
 
 # Path to the Tk stub library in the build directory.
-TK_BUILD_STUB_LIB_PATH='/root/src/tk8.5.6/unix/libtkstub8.5.a'
+TK_BUILD_STUB_LIB_PATH='${HOME}/src/tk8.5.6/unix/libtkstub8.5.a'
 
 # Path to the Tk stub library in the install directory.
 TK_STUB_LIB_PATH='/usr/lib/libtkstub8.5.a'
diff --git a/puppy-unleashed/packages/xdg_puppy-0.7.6-5_4.2/usr/sbin/icon_switcher b/puppy-unleashed/packages/xdg_puppy-0.7.6-5_4.2/usr/sbin/icon_switcher
index 66592df..da68d41 100755
--- a/puppy-unleashed/packages/xdg_puppy-0.7.6-5_4.2/usr/sbin/icon_switcher
+++ b/puppy-unleashed/packages/xdg_puppy-0.7.6-5_4.2/usr/sbin/icon_switcher
@@ -117,7 +117,7 @@ Click OK button and you will see them...\"</label></text>
 </window>"
  gtkdialog3 --program=ENDGUI
 
- rox -p=/root/Choices/ROX-Filer/PuppyPin
+ rox -p=${HOME}/Choices/ROX-Filer/PuppyPin
  fixwidgets &
  jwm -restart
 
